# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free
%define cvsdate   060220
%define base_name ddlutils

Name:           db-%{base_name}
Version:        1.0
Release:        0.%{cvsdate}.1jpp
Epoch:          0
Summary:        DDL utilities

Group:          Development/Libraries/Java
License:        Apache Software License 2.0
URL:            http://db.apache.org/ddlutils/
Source0:        ddlutils-1.0-dev-060220.tar.gz
# svn export  http://svn.apache.org/repos/asf/db/ddlutils/trunk ddlutils
Source1:        DdlUtils-1.0-dev-doc.zip
# generated with forrest ...
Patch0:         db-ddlutils-1.0-build_xml.patch
Patch1:         db-ddlutils-1.0-jdbc.properties.hsqldb.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6

%description
DdlUtils is a small, easy-to-use component for working with 
Database Definition (DDL) files. These are XML files that contain 
the definition of a database schema, e.g. tables and columns. 
These files can be fed into DdlUtils via its Ant task or 
programmatically in order to create the corresponding database 
or alter it so that it corresponds to the DDL. Likewise, DdlUtils 
can generate a DDL file for an existing database.
DdlUtils uses the Turbine XML format, which is shared by Torque 
and OJB. This format expresses the database schema in a 
database-independent way by using JDBC datatypes instead of raw 
SQL datatypes which are inherently database specific.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{base_name}
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done

%patch0 -b .sav
%patch1 -b .sav

%build
pushd lib
ln -sf $(build-classpath ant) .
pushd build-only
ln -sf $(build-classpath axion) .
ln -sf $(build-classpath antlr) .
ln -sf $(build-classpath commons-cli) .
ln -sf $(build-classpath commons-primitives) .
ln -sf $(build-classpath regexp) .
popd
ln -sf $(build-classpath commons-beanutils) .
ln -sf $(build-classpath commons-betwixt0) .
ln -sf $(build-classpath commons-codec) .
ln -sf $(build-classpath commons-collections) .
ln -sf $(build-classpath commons-dbcp) .
ln -sf $(build-classpath commons-digester) .
ln -sf $(build-classpath commons-lang) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath commons-pool) .
ln -sf $(build-classpath dbunit) .
ln -sf $(build-classpath dom4j) .
ln -sf $(build-classpath hsqldb) .
ln -sf $(build-classpath oro) .
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath bea-stax-api) .
ln -sf $(build-classpath bea-stax-ri) .
popd

#export FORREST_HOME=/usr/local/apache-forrest-0.7
#ant
ant -Dprofile=mvdb jar javadoc junit-hsqldb
# FIXME: most unit tests fail with, seems to be a test setup issue

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/DdlUtils-1.0-dev.jar \
     $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

#javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Feb 20 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.060220.1jpp
- First JPackage release (for JPP-1.7).
- Pending fix of unit tests
